Collage2 plugin is not code signed by the developper

Hello,

Since the update to Catalina & the Rapidweaver 8 every time I’m starting Rapidweaver I have the a message (Rapidweaver failed to load plugins. Collage2: Plugin is not code signed by developer. Would you like to check for updates? and I have a Cancel button & Update Plugins button. When I push the Update button Rapidweaver is opening and I have no further problems…

I do not know what’s for the Collage2 plugin, so should I do something or wait for the developer (which I do not know who is it, since I’m using only Foundry, Stacks 4 & some stacks from Joe Worman.

Thanks for your feedback.

Rgds,
Boris

Upss typing error - Joe Workman of course…

Hey, Boris, I don’t know if this is the best solution, but if I were you, I would just disable or de-install any add-on that gives you trouble. Life is too short to fight with small annoyances like this one. If you can’t live without the Collage, get in touch with the developer.

Many people have tons of add-ons that are either very old and incompatible, or never used. They just make your RW perform slower and less reliably.

Hello Rob,

Thanks for the quick feedback. I agree with you, the problem is that I do not know where I can disable it…I keep it simple and I’m using only all Foundry stacks, Stacks 3 (upgraded to 4) & some stacks from Joe Workman…

Just looked at settings and/or preferences but could not find anything for collage2…

I’m getting exactly the same problem with WeaverPix and Waterfall. Plus getting a problem with Rapidcart - “Rapidcart: Couldn’t obtain plugin principal class.” Very annoying. WeaverPix does not seem to have been updated since 2014. Looks like another one to dump.

WeaverPix waterfall and WP-blog are unsupported and will not work with Catalina.

How can we remove a plugin which is not working with Catalina?

I haven’t upgraded to Catalina, so not sure about post Catalina update. If RapidWeaver launches or you haven’t upgraded yet then go to the addons manager. You should be able to delete them from there.

If you’re not able to launch RapidWeaver you can try to launch RapidWeaver while holding the option key. It should pop up a menu with options, one will be to start RapidWeaver without addons.

I’m not at a Mac right now, so I don’t remember what all the options are.

Hello Doug,

Thanks, I have looked there already under Plugins/Themes/Blocks…nothing close to the name Collage2…

Does somebody knows from where (which stacks) Collage 2 plugin has been installed? How I can remove it so that Rapidweaver is starting properly?

Collage is a plugin not a stack. It should be in the addons folder (just like the stacks plugin). That can be any place you chose in RapidWeaver preferences. If you’re not finding it under the addons manager then I’m not sure how RapidWeaver is finding it.

Could you give us a screenshot of the addons manager screen (plugins>yourhead)?

You might also check http://yourhead.com/collage It looks like 2.5 might be the current release with the download link. I don’t know if that one works with Catalina or not. There’s also a “get help” link at the bottom of the page.

Thanks Doug for the explanation and sorry for mixing all this stacks/plugins…;-).
I also do not know from where I have this Collage2 plugin…I have the problem ONLY on my iMac under Catalina and I have no problems running Rapidweaver 8 (last update) on my MacBook Air 2011…so it’s definitely something related to Catalina…unfortunately…

Apple with the release of Catalina, increased the role of gatekeeper. It now requires even plugins to be notarized by an official Apple developer.

They claim it’s to “protect you” from things like malware from the evil developers. So in the process they are breaking old software that you might have used for years from developers that you trust.

I understand perhaps warning you, especially on something new, but come on Apple, if I’ve had it and been using it before why’re you blocking it now?

So yes it’s a Catalina issue. You probably had Collage installed for some time. I think that Yourhead has “Catalina” compatible releases available for all their plugins. They might still be in beta form.

Since I’m not planning on upgrading to Catalina anytime soon I’m not sure what releases are working or still in beta. Your best bet might be to drop the YourHead support a note and see.

You still should be able to find the plug-in in the add-ons folder and delete it manually if you don’t need it anymore.

1 Like

Just to close the subject. I received a reply from YourHead support that I had to download from their webpage the latest version of Collage2 & to install it and the problem has been solved…